BRepOffsetAPI_MakeOffsetShape help

I am trying to integrate the use of BRepOffsetAPI_MakeOffsetShape , but it fails most of the times even in simple shapes. The attached example is a box sliced with a plane (not parallel to the coordinate planes) and I want to offset with 1mm. I tried all the combinations, but with no luck. What is wrong in this case? Why it fails. If I have an answer at least for the reason. Can someone thicken this inside with any value?

If someone can help me, I will appreciate a lot.

Kostadin

Attachments: 
Sergey Slyadnev's picture

Hi Kostadin,

You may want to try BRepOffset_SimpleOffset that works in the assumption that topology of the model is preserved.

// Initialize
BRepOffset_MakeSimpleOffset mkOffset;
mkOffset.Initialize(partShape, offsetVal);
mkOffset.SetBuildSolidFlag(false);
//
if ( toler )
  mkOffset.SetTolerance(toler);

// Perform
mkOffset.Perform();
//
if ( !mkOffset.IsDone() )
{
  // Error
}
const TopoDS_Shape& offsetShape = mkOffset.GetResultShape();
Kostadin Vrantzaliev's picture

Thank you Sergey for the quick reply. I will try it as soon as possible.

Much appreciated.